
Foreman - Bug #239

Class import doesn't prune erased classes

05/06/2010 01:39 PM - SyRenity Now

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Importers   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I imported some classes, which I later erased from disk.

Repeating import doesn't prune these classes.

Related issues:

Related to Foreman - Bug #386: ImportClasses should be callable from a rake task Closed 09/23/2010

Associated revisions

Revision adcd0374 - 09/19/2010 01:19 PM - Paul Kelly

Fixes #239 - Erases environments and puppetclasses

The fix also includes a page in which the use selects the additions

and removals which they would wish to apply to their database.

Errors are reported and an opportunity is given to reapply the changes.

History

#1 - 05/30/2010 05:00 PM - Ohad Levy

- Target version set to 0.1-6

#2 - 09/11/2010 06:48 PM - Paul Kelly

- Status changed from New to Ready For Testing

- Assignee changed from Ohad Levy to Paul Kelly

- Branch set to bug/239-prune-erased-classes

The fix also includes a page in which the user selects the additions and removals which they would wish to apply to their database.

Errors are reported and an opportunity is given to reapply the changes.

#3 - 09/12/2010 08:16 AM - Ohad Levy

Paul Kelly wrote:

The fix also includes a page in which the user selects the additions and removals which they would wish to apply to their database.

Errors are reported and an opportunity is given to reapply the changes.

 Would you mind adding tests?

#4 - 09/16/2010 08:15 AM - Paul Kelly

A few minor fixes

Tests added

NOTE that this branch consists of two commits, #239 and then #377, as the assert_select tests do not work without XHTML compliance

I would guess that git will find that the patch has already been applied if you were to apply this branch to develop after the separate #377 branch had

been applied.
#5 - 09/19/2010 01:25 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset adcd0374b6f62d483a1b324b30a98fbf98f45765.

#6 - 09/19/2010 03:05 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
